> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/transactional/api/senders/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # List senders used by this account POST https://mandrillapp.com/api/1.4/senders/list Content-Type: application/json Return the senders that have tried to use this account. Reference: https://mailchimp.com/developer/transactional/api/senders/list ## Request ### Body (application/json) This endpoint expects a SendersListRequest. - `key` (string, required) — A valid Mandrill API key ## Response ### 200 Success - `list of Sender` ## Errors ### 401 Unauthorized Error Invalid or missing API key. - `status` (string, required) — Status of the response, typically "error" - `code` (enum, required) — Numeric error code - Allowed values: `401` - `name` (enum, required) — Machine-friendly error name - Allowed values: `Invalid_Key` - `message` (string, required) — Human-readable error message ### 500 Internal Server Error An unexpected internal server error occurred. - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ## Types ### Sender Information about a sending address used by the account. - `address` (string, optional) — The sender's email address - `created_at` (string, optional) — UTC timestamp when first seen - `sent` (integer, optional) — Total messages sent by this sender - `hard_bounces` (integer, optional) — Total number of hard bounces by this sender - `soft_bounces` (integer, optional) — Total number of soft bounces by this sender - `rejects` (integer, optional) — Total number of rejected messages by this sender - `complaints` (integer, optional) — Total number of spam complaints for this sender - `unsubs` (integer, optional) — Total number of unsubscribe requests for this sender - `opens` (integer, optional) — Total number of times messages by this sender have been opened - `clicks` (integer, optional) — Total number of tracked URL clicks by this sender - `unique_clicks` (integer, optional) — Number of unique clicks for emails sent by this sender - `unique_opens` (integer, optional) — Number of unique opens for emails sent by this sender ## Examples **Request** ```json { "key": "ONzNrsmbtNXoIKyfPmjnig" } ``` **Response** ```json [ { "address": "sender.example@mandrillapp.com", "created_at": "2013-01-01 15:30:27", "sent": 1, "hard_bounces": 1, "soft_bounces": 1, "rejects": 1, "complaints": 1, "unsubs": 1, "opens": 1, "clicks": 1, "unique_clicks": 1, "unique_opens": 1 } ] ``` **SDK Code** ```python import requests url = "https://mandrillapp.com/api/1.4/senders/list" payload = { "key": "ONzNrsmbtNXoIKyfPmjnig" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://mandrillapp.com/api/1.4/senders/list'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"ONzNrsmbtNXoIKyfPmjnig"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://mandrillapp.com/api/1.4/senders/list" payload := strings.NewReader("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://mandrillapp.com/api/1.4/senders/list") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://mandrillapp.com/api/1.4/senders/list") .header("Content-Type", "application/json") .body("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}") .asString(); ``` ```php request('POST', 'https://mandrillapp.com/api/1.4/senders/list', [ 'body' => '{ "key": "ONzNrsmbtNXoIKyfPmjnig" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://mandrillapp.com/api/1.4/senders/list"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["key": "ONzNrsmbtNXoIKyfPmjnig"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://mandrillapp.com/api/1.4/senders/list")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.